2 Replies Latest reply on Jun 15, 2017 9:44 PM by John Gilmore

    OpenSSL on S02K1_P2

    John Gilmore

      I have updated my Sage 2400 firmware to version S02K1_P2.

      The "SSL Version Number.pdf" file included with the C3414-500-S02K1_P2 package states that as of version C3414-500-S02J2, VxWorks uses OpenSSL revision 1.0.1k.

      The Shining Light Productions web site no longer supports OpenSSL revision 1.01.

      Which revision of OpenSSL (currently v1.0.2L or v1.1.0f) should I use to generate my own certificates for the web server?

        • Re: OpenSSL on S02K1_P2
          Chris Kerr

          Hi John,

           

          Thanks for the question. 

          We are still using 1.0.1k in the RTU. 

           

          I just used the Windows 64 bit version of OpenSSL 1.0.2l (Version 1.0.2 will be supported until 2019-12-31 (LTS)) to generate the HTTPS certificates and uploaded them to the RTU and everything works as it is supposed to between the RTU and my PC. 

           

          I have the installer for Win64 OpenSSL1.0.1e if you'd like me to send you a copy as well.

           

          I hope that answers your question and let us know if you need anything else.